#!/usr/local/bin/perl

####################################################################
#	COPYRIGHT NOTICE					   #
#	Copyright 1999 Troy A. Janisch   All Rights Reserved.      #
#								   #
#	PROGRAM: take_prefs.pl					   #
#	VERSION: 1.5						   #
#	LICENSED TO: Online Arts   				   #	
#   DISTRIBUTED BY: Online Arts					   #
#								   #
#	This script may be used and modified by anyone who has paid#
#	Their license fee.  However, this copyright/license notice #
#	must remain intact.  By using this program you agree to	   #
#	indemnify its creator from any liability that might arise  #
#	from it's use.			                           #
#								   #
# 	Duplicating or redistributing this program without prior   #
#	written consent is expressly forbidden.  You must Obtain   #
#	permission before redistributing this software by any means#
#	In all cases this copyright/license notice must remain.    #
#								   #
#								   #
#   By distributing this program to you at a reasonably-low cost   #
#   I'm trusting that you will return the favor by protecting.     #
#   my rights and your investment. 				   #
#								   #
#	"It is impossible to go through life without trust:  	   #
#	that is to be imprisoned in the worst cell of all, oneself.#
#					-Ralph Waldo Emerson	   #
#								   #
####################################################################
# Define the variables
####################################################################
 
#what's the root filepath to the root upload directory                
 $target="/online/htdocs/workshop/take_this/uploads";   
 
#what's the URL to this location?
 $target_url="http://www.onlinearts.net/workshop/take_this/uploads";

#where is the HTML file for the response? (filepath)
 $plate="/online/cgi-shl/takethis/response.htm";

#Where is the extensions file? (only files with these extensions can be uploaded)
 $exts="/online/cgi-shl/takethis/extensions.txt";

# Location of the users file (filepath)
$users="/online/users.info";

#where's the URL for the take_this directory (URL)
$home="http://www.onlinearts.net/workshop/take_this";

	#Who will get email notification of uploads? 
	#include forward slash(\) before "@"
	$administrator="administrator\@onlinearts.net";

	#What's the subject of the message sent?
	$subject="Upload notification";


	#PLATFORM SHOULD BE EITHER UNIX OR NT
	$platform="NT";   #UNIX or NT
	$mailer="";   #this can be blat(NT), gbmail(NT) sendmail (Unix) or mail (Unix)

	#Based on your mailer selection:

		#where is Blat? (ON NT)
		$blat="/online/cgi-shl/trial/Blat";

		#where is mail? (on Unix only)
		$mail="/user/bin/mail";	

		#where is sendmail? (on Unix only)
		$sendmail="/user/bin/sendmail";
		#What is the return address?
		$from="me\@myplace.com";

		#where is gbmail? (ON NT - filepath)
		$gbmail="/online/cgi-shl/gbmail";
		#whats your smtp cost name?
		$host="mail.web.net";
		#whats the gbmail return address?
		$return="you\@yourplace.com";


####################################################################

$weasel="$target/weasel.txt";


sub parse_form {
read(STDIN, $cache, $ENV{'CONTENT_LENGTH'});
   if (length($cache) < 5) {
         $buffer = $ENV{QUERY_STRING};
    }
 
  @pairs = split(/&/, $cache);
   foreach $pair (@pairs) {
      ($name, $value) = split(/=/, $pair);

      $value =~ tr/+/ /;
      $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;


	if (defined($FORM{$name})){
	$FORM{$name}.="\0";
	}


      $FORM{$name} .= &strip($value);
   }
}



sub strip {

     my($cheese)= @_;
       $cheese =~ s/\t/&nbsp;/g; 
     $cheese =~ s/\|//g; 
     $cheese =~ s/\r//g;   # should use this.
     $cheese =~ s/\n/<P>/g;   # should use this.
     $cheese =~ s/%95/<li>/g;
     $cheese =~ s/"<P><P>"/<P>/g; 
      return ($cheese);
}


# WEASEL SUBROUTINE

sub weasel{

	while (-e $weasel){
	sleep(1);
		}
}

sub sendmailer($recipient, $sender, $subject, $message){
   my($recipient, $sender, $subject, $message) = @_;
 open(MAIL,"|$sendmail -t");

    print MAIL "To: $recipient\n";
    print MAIL "From: $sender\n";
    print MAIL "Subject:$subject\n\n\n" ;
	print MAIL "$message\n";
	    print MAIL "\n";
	    close (MAIL);


}



#all required scripts must return successfully;
1;
